<?php

namespace Drupal\cmlmigrations\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * MigrationsExec.
 */
class MigrationsExec extends ControllerBase {

  /**
   * Exec.
   */
  public static function exec($mode, $update = FALSE) {
    $drush = "/usr/local/bin/drush";
    $root = DRUPAL_ROOT;
    $result = "";
    $cmd = "{$drush} mim --group=cml --root=$root";
    if ($update) {
      $cmd = "$cmd  --update";
    }
    $result .= "CMD: $cmd\n";
    if ($mode == 'nohup') {
      $cmd = "nohup $cmd > nohup.out 2> nohup.err < /dev/null &";
      $result .= "\nEXEC: $cmd\n";
      \Drupal::logger(__CLASS__)->notice("exec: $cmd");
      exec($cmd);
    }
    elseif ($mode == 'exec') {
      $result .= "$cmd\n";
      $result .= shell_exec($cmd);
    }
    elseif ($mode == 'drush') {
      $cmd = "drush --version";
      $result .= "\nEXEC: $cmd\n";
      $result .= shell_exec($cmd);
    }
    elseif ($mode == 'debug') {
      $cmd = "ls";
      $result .= "\nEXEC: $cmd\n";
      $result .= shell_exec($cmd);
    }
    return $result;
  }

}
